Subject: Re: [PATCH] uprobes/x86: emulate push insns for uprobe on x86

From: Oleg Nesterov <[email-masked]>
Date: Thu, 9 Nov 2017 15:04:16 +0100

On 11/09, Oleg Nesterov wrote:
>
> And. Do you really need ->post_xol() method to emulate "push"? Why we can't
> simply execute it out-of-line if copy_to_user() fails?
>
> branch_post_xol_op() is needed because we can't execute "call" out-of-line,
> we need to restart and try again if copy_to_user() fails, but I don not
> understand why it is needed to emulate "push".

If I wasn't clear, please see the comment in branch_clear_offset().

Oleg.